Skip to content
Developer

VolunteerHourRequirement

Volunteering6 EndpointsTimeTracking / VolunteerHourRequirement

List individual volunteer hour rules

GET/api/time/volunteer_hour_requirement

Query parameters

idinteger
personstring
companystring
exemptboolean
validFromstring
validUntilstring
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of VolunteerHourRequirement objectsarray<VolunteerHourRequirement>

Show fields (9)
  • idinteger

    Primary key of the volunteer hour requirement. Internal ID.

  • personCRMPerson27

    Volunteer the requirement applies to.

    Show fields (11)
    • idinteger

      Primary key of the person. Internal ID.

    • first_namestring

      First name of the person.

    • last_namestring

      Last name of the person.

    • numberinteger

      Member or customer number of the person.

    • manual_numberinteger

      Number set manually instead of the automatic number.

    • number_stringstring

      Member or customer number as text, including prefix.

    • genderstring

      Gender of the person.

    • titlestring

      Academic or other title of the person.

    • nicknamestring

      Nickname of the person.

    • preferred_color_hexstring

      Preferred color of the person as hex value.

    • avatar_tokenstring

      Token of the avatar image.

  • companyCRMCompany24

    Company the requirement applies to.

    Show fields (6)
    • idinteger

      Primary key of the company. Internal ID.

    • short_namestring

      Short name of the company.

    • company_namestring

      Legal name of the company.

    • numberstring

      Customer or supplier number of the company.

    • manual_numberinteger

      Number set manually instead of the automatic number.

    • number_stringstring

      Company number as text, including prefix.

  • valid_fromstring (date-time)

    Start of the requirement.

  • valid_untilstring (date-time)

    End of the requirement.

  • exemptboolean

    The volunteer is exempt from the requirement.

  • required_hoursnumber (float)

    Hours per period instead of the installation wide value. null = installation wide value.

  • reasonstring

    Reason for the requirement or exemption.

  • createdstring (date-time)

    Time the requirement was created.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "person": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "number": 1,
      "manual_number": 1,
      "number_string": "string",
      "gender": "string",
      "nickname": "string",
      "preferred_color_hex": "string"
    },
    "company": {
      "id": 42,
      "short_name": "Beispiel",
      "company_name": "Beispiel",
      "number": "string",
      "manual_number": 1,
      "number_string": "string"
    },
    "valid_from": "2026-10-15T09:30:00+02:00",
    "valid_until": "2026-10-15T09:30:00+02:00",
    "exempt": true,
    "required_hours": 1.5,
    "reason": "string",
    "created": "2026-10-15T09:30:00+02:00"
  }
]

Add an individual volunteer hour rule

POST/api/time/volunteer_hour_requirement

Request body application/json

  • dataVolunteerHourRequirement2
    Show fields (7)
    • personCRMPerson35

      Volunteer the requirement applies to.

    • companyCRMCompany25

      Company the requirement applies to.

    • valid_fromstring (date-time)

      Start of the requirement.

    • valid_untilstring (date-time)

      End of the requirement.

    • exemptboolean

      The volunteer is exempt from the requirement.

    • required_hoursnumber (float)

      Hours per period instead of the installation wide value. null = installation wide value.

    • reasonstring

      Reason for the requirement or exemption.

Responses

200Add a new VolunteerHourRequirementVolunteerHourRequirement

Show fields (9)
  • idinteger

    Primary key of the volunteer hour requirement. Internal ID.

  • personCRMPerson27

    Volunteer the requirement applies to.

    Show fields (11)
    • idinteger

      Primary key of the person. Internal ID.

    • first_namestring

      First name of the person.

    • last_namestring

      Last name of the person.

    • numberinteger

      Member or customer number of the person.

    • manual_numberinteger

      Number set manually instead of the automatic number.

    • number_stringstring

      Member or customer number as text, including prefix.

    • genderstring

      Gender of the person.

    • titlestring

      Academic or other title of the person.

    • nicknamestring

      Nickname of the person.

    • preferred_color_hexstring

      Preferred color of the person as hex value.

    • avatar_tokenstring

      Token of the avatar image.

  • companyCRMCompany24

    Company the requirement applies to.

    Show fields (6)
    • idinteger

      Primary key of the company. Internal ID.

    • short_namestring

      Short name of the company.

    • company_namestring

      Legal name of the company.

    • numberstring

      Customer or supplier number of the company.

    • manual_numberinteger

      Number set manually instead of the automatic number.

    • number_stringstring

      Company number as text, including prefix.

  • valid_fromstring (date-time)

    Start of the requirement.

  • valid_untilstring (date-time)

    End of the requirement.

  • exemptboolean

    The volunteer is exempt from the requirement.

  • required_hoursnumber (float)

    Hours per period instead of the installation wide value. null = installation wide value.

  • reasonstring

    Reason for the requirement or exemption.

  • createdstring (date-time)

    Time the requirement was created.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "valid_from": "2026-10-15T09:30:00+02:00",
    "valid_until": "2026-10-15T09:30:00+02:00",
    "exempt": true,
    "required_hours": 1.5,
    "reason": "string"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "person": {
    "id": 42,
    "first_name": "Lena",
    "last_name": "Hartmann",
    "title": "Beispiel",
    "number": 1,
    "manual_number": 1,
    "number_string": "string",
    "gender": "string",
    "nickname": "string",
    "preferred_color_hex": "string"
  },
  "company": {
    "id": 42,
    "short_name": "Beispiel",
    "company_name": "Beispiel",
    "number": "string",
    "manual_number": 1,
    "number_string": "string"
  },
  "valid_from": "2026-10-15T09:30:00+02:00",
  "valid_until": "2026-10-15T09:30:00+02:00",
  "exempt": true,
  "required_hours": 1.5,
  "reason": "string",
  "created": "2026-10-15T09:30:00+02:00"
}

Get a single individual volunteer hour rule

GET/api/time/volunteer_hour_requirement/{id}

Path parameters

idrequiredstring

Responses

200Returns a single VolunteerHourRequirementVolunteerHourRequirement

Show fields (9)
  • idinteger

    Primary key of the volunteer hour requirement. Internal ID.

  • personCRMPerson27

    Volunteer the requirement applies to.

    Show fields (11)
    • idinteger

      Primary key of the person. Internal ID.

    • first_namestring

      First name of the person.

    • last_namestring

      Last name of the person.

    • numberinteger

      Member or customer number of the person.

    • manual_numberinteger

      Number set manually instead of the automatic number.

    • number_stringstring

      Member or customer number as text, including prefix.

    • genderstring

      Gender of the person.

    • titlestring

      Academic or other title of the person.

    • nicknamestring

      Nickname of the person.

    • preferred_color_hexstring

      Preferred color of the person as hex value.

    • avatar_tokenstring

      Token of the avatar image.

  • companyCRMCompany24

    Company the requirement applies to.

    Show fields (6)
    • idinteger

      Primary key of the company. Internal ID.

    • short_namestring

      Short name of the company.

    • company_namestring

      Legal name of the company.

    • numberstring

      Customer or supplier number of the company.

    • manual_numberinteger

      Number set manually instead of the automatic number.

    • number_stringstring

      Company number as text, including prefix.

  • valid_fromstring (date-time)

    Start of the requirement.

  • valid_untilstring (date-time)

    End of the requirement.

  • exemptboolean

    The volunteer is exempt from the requirement.

  • required_hoursnumber (float)

    Hours per period instead of the installation wide value. null = installation wide value.

  • reasonstring

    Reason for the requirement or exemption.

  • createdstring (date-time)

    Time the requirement was created.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "person": {
    "id": 42,
    "first_name": "Lena",
    "last_name": "Hartmann",
    "title": "Beispiel",
    "number": 1,
    "manual_number": 1,
    "number_string": "string",
    "gender": "string",
    "nickname": "string",
    "preferred_color_hex": "string"
  },
  "company": {
    "id": 42,
    "short_name": "Beispiel",
    "company_name": "Beispiel",
    "number": "string",
    "manual_number": 1,
    "number_string": "string"
  },
  "valid_from": "2026-10-15T09:30:00+02:00",
  "valid_until": "2026-10-15T09:30:00+02:00",
  "exempt": true,
  "required_hours": 1.5,
  "reason": "string",
  "created": "2026-10-15T09:30:00+02:00"
}

Update an individual volunteer hour rule

PUT/api/time/volunteer_hour_requirement/{id}

Path parameters

idrequiredstring

Request body application/json

  • dataVolunteerHourRequirement2
    Show fields (7)
    • personCRMPerson35

      Volunteer the requirement applies to.

    • companyCRMCompany25

      Company the requirement applies to.

    • valid_fromstring (date-time)

      Start of the requirement.

    • valid_untilstring (date-time)

      End of the requirement.

    • exemptboolean

      The volunteer is exempt from the requirement.

    • required_hoursnumber (float)

      Hours per period instead of the installation wide value. null = installation wide value.

    • reasonstring

      Reason for the requirement or exemption.

Responses

200Update a VolunteerHourRequirementVolunteerHourRequirement

Show fields (9)
  • idinteger

    Primary key of the volunteer hour requirement. Internal ID.

  • personCRMPerson27

    Volunteer the requirement applies to.

    Show fields (11)
    • idinteger

      Primary key of the person. Internal ID.

    • first_namestring

      First name of the person.

    • last_namestring

      Last name of the person.

    • numberinteger

      Member or customer number of the person.

    • manual_numberinteger

      Number set manually instead of the automatic number.

    • number_stringstring

      Member or customer number as text, including prefix.

    • genderstring

      Gender of the person.

    • titlestring

      Academic or other title of the person.

    • nicknamestring

      Nickname of the person.

    • preferred_color_hexstring

      Preferred color of the person as hex value.

    • avatar_tokenstring

      Token of the avatar image.

  • companyCRMCompany24

    Company the requirement applies to.

    Show fields (6)
    • idinteger

      Primary key of the company. Internal ID.

    • short_namestring

      Short name of the company.

    • company_namestring

      Legal name of the company.

    • numberstring

      Customer or supplier number of the company.

    • manual_numberinteger

      Number set manually instead of the automatic number.

    • number_stringstring

      Company number as text, including prefix.

  • valid_fromstring (date-time)

    Start of the requirement.

  • valid_untilstring (date-time)

    End of the requirement.

  • exemptboolean

    The volunteer is exempt from the requirement.

  • required_hoursnumber (float)

    Hours per period instead of the installation wide value. null = installation wide value.

  • reasonstring

    Reason for the requirement or exemption.

  • createdstring (date-time)

    Time the requirement was created.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "valid_from": "2026-10-15T09:30:00+02:00",
    "valid_until": "2026-10-15T09:30:00+02:00",
    "exempt": true,
    "required_hours": 1.5,
    "reason": "string"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "person": {
    "id": 42,
    "first_name": "Lena",
    "last_name": "Hartmann",
    "title": "Beispiel",
    "number": 1,
    "manual_number": 1,
    "number_string": "string",
    "gender": "string",
    "nickname": "string",
    "preferred_color_hex": "string"
  },
  "company": {
    "id": 42,
    "short_name": "Beispiel",
    "company_name": "Beispiel",
    "number": "string",
    "manual_number": 1,
    "number_string": "string"
  },
  "valid_from": "2026-10-15T09:30:00+02:00",
  "valid_until": "2026-10-15T09:30:00+02:00",
  "exempt": true,
  "required_hours": 1.5,
  "reason": "string",
  "created": "2026-10-15T09:30:00+02:00"
}

Update an individual volunteer hour rule

PATCH/api/time/volunteer_hour_requirement/{id}

Path parameters

idrequiredstring

Request body application/json

  • dataVolunteerHourRequirement2
    Show fields (7)
    • personCRMPerson35

      Volunteer the requirement applies to.

    • companyCRMCompany25

      Company the requirement applies to.

    • valid_fromstring (date-time)

      Start of the requirement.

    • valid_untilstring (date-time)

      End of the requirement.

    • exemptboolean

      The volunteer is exempt from the requirement.

    • required_hoursnumber (float)

      Hours per period instead of the installation wide value. null = installation wide value.

    • reasonstring

      Reason for the requirement or exemption.

Responses

200Update a VolunteerHourRequirementVolunteerHourRequirement

Show fields (9)
  • idinteger

    Primary key of the volunteer hour requirement. Internal ID.

  • personCRMPerson27

    Volunteer the requirement applies to.

    Show fields (11)
    • idinteger

      Primary key of the person. Internal ID.

    • first_namestring

      First name of the person.

    • last_namestring

      Last name of the person.

    • numberinteger

      Member or customer number of the person.

    • manual_numberinteger

      Number set manually instead of the automatic number.

    • number_stringstring

      Member or customer number as text, including prefix.

    • genderstring

      Gender of the person.

    • titlestring

      Academic or other title of the person.

    • nicknamestring

      Nickname of the person.

    • preferred_color_hexstring

      Preferred color of the person as hex value.

    • avatar_tokenstring

      Token of the avatar image.

  • companyCRMCompany24

    Company the requirement applies to.

    Show fields (6)
    • idinteger

      Primary key of the company. Internal ID.

    • short_namestring

      Short name of the company.

    • company_namestring

      Legal name of the company.

    • numberstring

      Customer or supplier number of the company.

    • manual_numberinteger

      Number set manually instead of the automatic number.

    • number_stringstring

      Company number as text, including prefix.

  • valid_fromstring (date-time)

    Start of the requirement.

  • valid_untilstring (date-time)

    End of the requirement.

  • exemptboolean

    The volunteer is exempt from the requirement.

  • required_hoursnumber (float)

    Hours per period instead of the installation wide value. null = installation wide value.

  • reasonstring

    Reason for the requirement or exemption.

  • createdstring (date-time)

    Time the requirement was created.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "valid_from": "2026-10-15T09:30:00+02:00",
    "valid_until": "2026-10-15T09:30:00+02:00",
    "exempt": true,
    "required_hours": 1.5,
    "reason": "string"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "person": {
    "id": 42,
    "first_name": "Lena",
    "last_name": "Hartmann",
    "title": "Beispiel",
    "number": 1,
    "manual_number": 1,
    "number_string": "string",
    "gender": "string",
    "nickname": "string",
    "preferred_color_hex": "string"
  },
  "company": {
    "id": 42,
    "short_name": "Beispiel",
    "company_name": "Beispiel",
    "number": "string",
    "manual_number": 1,
    "number_string": "string"
  },
  "valid_from": "2026-10-15T09:30:00+02:00",
  "valid_until": "2026-10-15T09:30:00+02:00",
  "exempt": true,
  "required_hours": 1.5,
  "reason": "string",
  "created": "2026-10-15T09:30:00+02:00"
}

Delete an individual volunteer hour rule

DELETE/api/time/volunteer_hour_requirement/{id}

Path parameters

idrequiredstring

Responses

default

Request
curl --request DELETE \
  --url https://your-instance.iw-erp.de/api/time/volunteer_hour_requirement/42 \
  --header 'x-iw-jwt-token: <TOKEN>'